<script>
  import "@fullcalendar/web-component/global"
  import { onMount } from "svelte"
  let isBrowser = typeof window !== "undefined"
  export let options = {}

  let calendarElement

  onMount(() => {
    calendarElement.options = options
  })
</script>

{#if isBrowser}
  <full-calendar bind:this={calendarElement} shadow />
{/if}
